Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNADeallocationTypes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNADeallocationTypes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNADeallocationTypes

extends java.lang.Object

`SNADeallocationTypes` class represents all deallocate types:

  `CM_DEALLOCATE_SYNC_LEVEL`
  `CM_DEALLOCATE_FLUSH`
  `CM_DEALLOCATE_CONFIRM`
  `CM_DEALLOCATE_ABEND`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_DEALLOCATE_ABEND`
`static int` | `CM_DEALLOCATE_CONFIRM`
`static int` | `CM_DEALLOCATE_FLUSH`
`static int` | `CM_DEALLOCATE_SYNC_LEVEL`

Constructor Summary
`SNAConstants.SNADeallocationTypes()`

Method Summary
`static int` | `getCM_DEALLOCATE_ABEND()`
`static int` | `getCM_DEALLOCATE_CONFIRM()`
`static int` | `getCM_DEALLOCATE_FLUSH()`
`static int` | `getCM_DEALLOCATE_SYNC_LEVEL()`
`static java.lang.String` | `getDeallocationTypeString(int deallocationType)` Returns the deallocationType as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_DEALLOCATE_SYNC_LEVEL

    public static final int CM_DEALLOCATE_SYNC_LEVEL

See Also:
  Constant Field Values

### CM_DEALLOCATE_FLUSH

    public static final int CM_DEALLOCATE_FLUSH

See Also:
  Constant Field Values

### CM_DEALLOCATE_CONFIRM

    public static final int CM_DEALLOCATE_CONFIRM

See Also:
  Constant Field Values

### CM_DEALLOCATE_ABEND

    public static final int CM_DEALLOCATE_ABEND

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNADeallocationTypes

    public SNAConstants.SNADeallocationTypes()

Method Detail

### getCM_DEALLOCATE_SYNC_LEVEL

    public static final int getCM_DEALLOCATE_SYNC_LEVEL()

  Returns:
    CM_DEALLOCATE_SYNC_LEVEL

### getCM_DEALLOCATE_FLUSH

    public static final int getCM_DEALLOCATE_FLUSH()

  Returns:
    CM_DEALLOCATE_FLUSH

### getCM_DEALLOCATE_CONFIRM

    public static final int getCM_DEALLOCATE_CONFIRM()

  Returns:
    CM_DEALLOCATE_CONFIRM

### getCM_DEALLOCATE_ABEND

    public static final int getCM_DEALLOCATE_ABEND()

  Returns:
    CM_DEALLOCATE_ABEND

### getDeallocationTypeString

    public static final java.lang.String getDeallocationTypeString(int deallocationType)

  Returns the deallocationType as String

  Parameters:
    `deallocationType` - The deallocationType in int
  Returns:
    The deallocationType as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.